﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKADJ]') AND name = N'IX_STKADJ')
BEGIN 
PRINT 'Creating index IX_STKADJ on table STKADJ'
CREATE NONCLUSTERED INDEX [IX_STKADJ] ON [dbo].[STKADJ] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[CODE] ASC,
	[SKUN] ASC,
	[SEQN] ASC,
	[AmendId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'AmendId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_AmendId')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_AmendId on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_AmendId] DEFAULT ((0)) FOR [AmendId]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'DEPT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_DEPT')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_DEPT on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_DEPT] DEFAULT ('00') FOR [DEPT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_COMM on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'TSKU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_TSKU')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_TSKU on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_TSKU] DEFAULT ('000000') FOR [TSKU]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'RTI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_RTI')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_RTI on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_RTI] DEFAULT ('N') FOR [RTI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'PeriodID' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_PeriodID')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_PeriodID on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_PeriodID] DEFAULT ((0)) FOR [PeriodID]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'IsReversed' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_IsReversed')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_IsReversed on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_IsReversed] DEFAULT ((0)) FOR [IsReversed]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'ParentSeq' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_ParentSeq')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_ParentSeq on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_ParentSeq] DEFAULT ('00') FOR [ParentSeq]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'AdjustmentCount' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_AdjustmentCount')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_AdjustmentCount on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_AdjustmentCount] DEFAULT ((1)) FOR [AdjustmentCount]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKADJ' AND COLUMN_NAME = 'IsStaAuditUpload' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKADJ_IsStaAuditUpload')
BEGIN 
    PRINT 'Creating default constraint DF_STKADJ_IsStaAuditUpload on table STKADJ' 
    ALTER TABLE [dbo].[STKADJ]
    ADD CONSTRAINT [DF_STKADJ_IsStaAuditUpload] DEFAULT ((0)) FOR [IsStaAuditUpload]
END 
GO

